<!--退款列表  refundList -->
<template >
  <div class="overflow h100p" ref="main_box">
    <van-list class="orders" :immediate-check="false" v-model="list_loading" :finished="list_finished" @load="m_loadList">
      <div @click="routerPush(item,i)" class="order-item" v-for="(item , i ) in m_data" :key="i">
        <div class="flex flex-m bor-b">
          <div class="flex-1 order-lable">订单号:{{item.order_no}}</div>
          <!-- <div :class="item.status | orderStatusClass">{{item.status | BaseData('orders','status')}}</div> -->
          <van-icon name="arrow" color="#999" />
        </div>

        <van-card class="bgfff" v-for="(order_goods,order_goods_index) in item.order_goods" :key="order_goods_index" :num="order_goods.num" :price="order_goods.price" :title="order_goods.title" :thumb="order_goods.images">
          <div slot="footer">
            <!-- <span class="m_color">{{order_goods.num}}</span> {{order_goods.unit | unit}}商品，小计<span class="m_color"> ¥ {{order_goods.total}}</span> -->
          </div>
        </van-card>
        <!-- <div class="order-footer tr ">
          <div>共 <span class="m_color">{{item.total_num }} </span>个商品 总计: <span class="m_color">¥ {{item.total_amount}}</span></div>
          <div class="pt15 flex flex-m flex-r">
          
           
          </div>
        </div> -->

      </div>
    </van-list>
    <nodata v-if="!m_hasData&&!list_loading" />
  </div>
</template>

<script>
import mixin from './mixin/index'
export default {
  name: 'refundList',
  mixins: [mixin],
  data() {
    return {
      m_pageInfo: {
        limit: 10,
        page: 1,
      },
      search: {
        status: '',
        refunding: '1'
      },
      list: [],
      active: '',
    }
  },


  beforeRouteEnter(to, from, next) {
    let path = from.path
    let keeps = ['/refundiDetail']
    if (keeps.includes(path)) {
      to.meta.keepAlive = 1
    } else {
      to.meta.keepAlive = 0
    }

    next()
  },



  activated() {
    let keepAlive = this.$route.meta.keepAlive
    if (sessionStorage.refundingInedx) {
      this.init()
      return
    }
    if (keepAlive == 1) {
      this.handeKeepAlive()
    } else {
      this.init()
    }
  },



  methods: {
    init() {
      this.m_resetData()
      let query = this.$route.query

      this.search.status = sessionStorage.order_status || query.status || ''

      sessionStorage.order_status = ''
      this.m_loadList()

      this.getListData()

    },

    getListData() {
      this.list = this.GetBaseData('orders', 'status')

    },

    handeKeepAlive() {
      let _scrollTop = this.isNaN0(sessionStorage.scrollTop)
      sessionStorage.scrollTop = ''
      this.$refs.main_box.scrollTop = _scrollTop
      let cancelRefund = sessionStorage.cancelRefund == 1
      let refundIndex = sessionStorage.refundIndex
      if (cancelRefund) {
        this.m_data.splice(refundIndex, 1)
      }

      sessionStorage.cancelRefund = ''
      sessionStorage.refundIndex = ''
    },

    getDataList() {
      let data = { ...this.m_pageInfo, ...this.search }
      return this.api.orders(data).then(res => {
        this.m_data = [...this.m_data, ...res.data.data]
        return res

      })
    },





    order_close_cb(row, index) {
      this.m_data.splice(index, 1)
    },

    routerPush(item, index) {
      sessionStorage.scrollTop = this.$refs.main_box.scrollTop
      sessionStorage.refundIndex = index
      this.$router.push(`/refundiDetail?id=${item.refund_id}`)
    },


  }

}

</script>
<style lang='scss' scoped>
.m_main_box {
  height: 100%;
  overflow: auto;

  -webkit-overflow-scrolling: touch;
}

.orders {
}
.order-item {
  padding: 0.26rem;
  background: #fff;
  margin-bottom: 0.15rem;
  color: #333;
  font-size: 0.28rem;
}

.order-lable {
  color: #888;
  font-size: 0.26rem;
}

.order-lable {
  color: #888;
  font-size: 0.26rem;
}
.bor-b {
  padding-bottom: 0.26rem;
  border-bottom: 1px solid #eee;
}
.bor-t {
  padding-bottom: 0.26rem;
  border-top: 1px solid #eee;
}

.order-footer {
  padding-right: 0.3rem;
  font-size: 0.3rem;
  margin-top: 0.15rem;
  padding-top: 0.26rem;
  border-top: 1px solid #eee;
  color: #333;
}

.zwTab {
  position: fixed;
  left: 0;
  width: 100%;
  z-index: 999;
}
</style>